#pragma once
#include <QObject>
#include <QTreeWidget>
#include <QTreeWidgetItem>
#include <QString>

class ManualLabelToolWidget;
class LampDataItem : public QTreeWidgetItem
{
public:
    // 构造函数
    explicit LampDataItem(QTreeWidget* treeWidget = nullptr);
    ~LampDataItem();

public: // 基础函数
    virtual void InitTreeNode();
    virtual void showData(ManualLabelToolWidget* mainWidget);
    virtual QString getDescription();
    virtual void setSelectItems(QList<QString> selectItemName);
    virtual void OpenFileData(QString path);
    virtual int32_t getHash();
public:
    QTreeWidget* treeWidget;
    QString ItemType;
    int32_t hashCode;
};






